import market_trade.data.dataloader
import market_trade.constants


def test_dataloader(data_path):
    duka_interface = (market_trade.src.dataloader.DukaMTInterface(data_path))
    print(duka_interface.ask_candlesticks)


if __name__ == '__main__':
    candlesticks_filepaths = [filepath for filepath in market_trade.src.constants.CANDLESTICK_DATASETS_PATH.iterdir()]
    candlesticks_filepath = candlesticks_filepaths[0]
    test_dataloader(candlesticks_filepath)